{% extends 'base/base.html' %}


{% block page_content %}
    <div class="card shadow mb-4">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <a href="#" class="btn btn-danger">Guardar</a>
            <a href="#" class="btn btn-success">Imprimir</a>
            <a href="{% url 'fac:factura_list' %}" class="btn btn-info">Cancelar</a>
        </div>

        <div class="card-body">
            <div class="content">
                <!-- sección superior -->
                <div class="row">
                    <!-- sección izquierda -->
                    <div class="col-lg-6">
                        <div class="content">
                            <div class="row">
                                <div class="col-lg-1">No.</div>
                                <div class="col-lg-4">
                                    <input type="text" name="enc_id" id="enc_id" readonly class="form-control">
                                </div>
                                <div class="col-lg-2">Cliente</div>
                                <!-- uso del select -->
                                <div class="col-lg-5 form-group">
                                    <select name="enc_cliente" id="enc_cliente">
                                        <option value="0">Seleccione Cliente</option>
                                        
                                        {% for item in clientes %}
                                            <option value="{{ item.id }}">{{ item.nombres }} {{ item.apellidos }}</option>
                                        {% endfor %}
                                            
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6 p-2" >
                                    <div class="row">
                                        <div class="col-lg-2">
                                            Fecha:
                                        </div>
                                        <div class="col-lg-8 form-group">
                                            <input type="text" name="fecha" id="fecha" class="form-control form-control-user" 
                                            value="{{ enc.fecha|date:'Y-m-d' }}" readonly />
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-6 p-2 form-group">
                                    <div class="row">
                                        <div class="col-lg-3">Sub Total:</div>
                                        <div class="col-lg-8">
                                            <input type="number" class="form-control text-right" value="0.00" readonly
                                            name="sub_total" id="sub_total">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-3">Descuento:</div>
                                        <div class="col-lg-8">
                                            <input type="number" class="form-control text-right" value="0.00" disabled
                                                name="descuento" id="descuento">
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-3">Total:</div>
                                        <div class="col-lg-8">
                                            <input type="number" class="form-control text-right" value="0.00" disabled
                                                name="total" id="total">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- fin sección izquierda -->

                <!-- Sección Derecha -->
                <div class="col-lg-6 from-group">
                    <div class="row p-2">
                        <div class="col-lg-1">Cod</div>
                        <div class="col-lg-3">
                            <input type="text" class="form-control" name="codigo" id="codigo" placeholder="Cód. Producto">
                        </div>
                        <div class="col-lg-7">
                            <input type="text" class="form-control" name="descripcion" id="descripcion" placeholder="Descripción" disabled>
                        </div>
                        <div class="col-lg-1">
                            <button type="button" class="btn btn-info" id="btnBuscar">
                                <i class="fab fa-searchengin"></i>
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-1">Cant</div>
                        <div class="col-lg-3">
                            <input type="number" class="form-control" name="cantidad" id="cantidad" placeholder="Cantidad">
                            <input type="hidden" class="form-control" name="existencia" id="existencia">
                        </div>
                        <div class="col-lg-4">
                            <input type="number" class="form-control" name="precio" id="precio" placeholder="Precio" readonly>
                        </div>
                        <div class="col-lg-3">
                            <input type="number" class="form-control" name="descuento_detalle" id="descuento_detalle" placeholder="Descuento">
                        </div>
                        <div class="col-lg-1">
                            <button type="submit" class="btn btn-danger" id="btnGuardar"> <i class="far fa-plus-square"></i> </button>
                        </div>
                    </div>
                    <div class="row p-1">
                        <div class="col-lg-9 text-right">Sub Total</div>
                        <div class="col-lg-3">
                            <input type="number" class="form-control" name="sub_total_detalle" id="sub_total_detalle" placeholder="Sub Total"
                             value="0.00" disabled>
                        </div>
                    </div>
                    <div class="row p-1">
                        <div class="col-lg-9 text-right">Total</div>
                        <div class="col-lg-3">
                            <input type="number" class="form-control" name="total_detalle" id="total_detalle" placeholder="Total"
                             value="0.00" disabled>
                        </div>
                    </div>
                </div>
                <!-- Fin Sección Derecha -->
            </div>
            <!-- Fin Sección Superior -->

            <!-- Inicio Detalle -->
            <hr>
            <div class="row p-1">
                <div class="col-lg-12">
                    <table
                        data-toggle="table"
                        data-pagination="true"
                        data-search="true"
                        data-show-columns="true"
                        data-show-toggle="true"
                        data-show-fullscreen="true"
                        data-locale="es-MX"
                        >
                        <thead>
                            <th data-sortable="true" data-field="id">Id.</th>        
                            <th data-sortable="true" data-field="codigo">Código</th>
                            <th data-sortable="true" data-field="descripcion">Descripción</th>
                            <th data-field="cantidad">Cant</th>
                            <th data-field="subtotal">S. Total</th>
                            <th data-field="descuento">Des.</th>
                            <th data-field="total">Total</th>
                            <th class="all">Acciones</th>
                        </thead>
                        <tbody>
                            {% for item in det%}
                            <tr>
                                <td>{{ item.id }}</td>
                                <td>{{ item.producto }}</td>
                                <td>{{ item.producto.descripcion }}</td>
                                <td>{{ item.cantidad }}</td>
                                <td>{{ item.sub_total }}</td>
                                <td>{{ item.descuento }}</td>
                                <td>{{ item.total }}</td>
                            <td>
                                <button type="button" class="btn btn-warning btn-circle"
                                    onclick="borrar_detalle({{ item.id }})">
                                    <i class="fas fa-history"></i>
                                </button>
                            </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
            <!-- Fin Detalle -->
        </div>
    </div>
{% endblock page_content %}


{% block js_page %}
    <script>
        $(function (){
            $("sidebarToggle").click();
            $("#enc_cliente").select2({
                placeholder:"Seleccione Cliente",
                allowClear:true
            });

            // acción de botón buscar
            $("#btnBuscar").click(function(e){
                // se valida si no hay nada seleccionado
                if($("#enc_cliente").val() === "0"){
                    mensaje("Cliente no seleccionado", "red");
                    return false;
                }
                abrir_modal("{% url 'fac:factura_producto' %}");
            });
        });
    </script>
{% endblock js_page %}
    
    